org.eclipse.ecf.filetransfer.service

## Interface ISendFileTransfer

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable, ISendFileTransferContainerAdapter

All Known Implementing Classes:
  AbstractOutgoingFileTransfer, AbstractUrlConnectionOutgoingFileTransfer, LocalFileOutgoingFileTransfer, MultiProtocolOutgoingAdapter

    public interface ISendFileTransfer
    extends ISendFileTransferContainerAdapter

### Method Summary

### Methods inherited from interface org.eclipse.ecf.filetransfer.ISendFileTransferContainerAdapter

`addListener, getOutgoingNamespace, removeListener, sendOutgoingRequest, sendOutgoingRequest, setConnectContextForAuthentication, setProxy`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`